#property version   "1.0"
#property strict
#property copyright "(c)2021 Edgar Akhmadeev"
#property link      "https://www.mql5.com/en/users/dali"
// 2021.03.23



#include <SMBIOS.mqh>



void 
OnStart() {
	if (!SMBIOS::Read()) {
		Print("Error reading SMBIOS data!");
		return;
	}
	
	SMBIOS::Print();
	Print("");
	
	Print("UUID: ", SMBIOS::GetUUID());
	if (SMBIOS::GetProductSN() != NULL)
		Print("Product Serial Number: ", SMBIOS::GetProductSN());
	if (SMBIOS::GetBoardSN() != NULL)
		Print("Mainboard Serial Number: ", SMBIOS::GetBoardSN());
}
